<template>
	<view>
		<uni-segmented-control :current="current" :values="items" @clickItem="onClickItem">
		</uni-segmented-control>
		<view v-show="current === 0">
			<view style="padding: 5%;">
				<uni-forms label-width="120">
					<uni-forms-item label="缓存点">
						<uni-easyinput type="text" :focus="!istrue" @input="barcodeInput" v-model="Point"
							placeholder="请输入缓存点" ref='midInput' />
					</uni-forms-item>
					<uni-forms-item label="托盘数量">
						<uni-easyinput type="text" :focus="istrue" v-model="PalletCode" placeholder="请输入托盘数量"
							ref='midInput' />
					</uni-forms-item>
				</uni-forms>
				<button @click="Bind" type="primary" size="default" style="margin-top: 2%;">绑定</button>
				<u-toast ref="BindluToast" />
			</view>
		</view>
		<view v-show="current === 1">
			<view style="padding: 5%;">
				<uni-forms label-width="120">
					<uni-forms-item label="缓存点">
						<uni-easyinput type="text" :focus="!istrue" @input="carNoInputChange" v-model="value"
							placeholder="请输入缓存点" ref='midInput' />
					</uni-forms-item>
				</uni-forms>
				<button @click="submit" type="primary" size="default" style="margin-top: 2%;">释放</button>
				<u-toast ref="BindluToast1" />
			</view>
		</view>
	</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				istrue: false,
				range: [],
				PalletCode: "",
				Point: "",
				value: "",
				items: ['绑定缓存点', '释放缓存点'], //, '拆包'
				current: 0
			}
		},
		onLoad() {
			this.getEndLocations();
		},
		methods: {
			barcodeInput() {
				this.$nextTick(function(x) {
					if (this.Point.length > 0) {
						this.istrue = true;
					}
				})
			},
			onClickItem(e) {
				this.istrue = false;
				if (this.current !== e.currentIndex) {
					this.current = e.currentIndex;
					if (this.current == 2) {
						this.getData();
					}
				}
			},
			Bind() {
				if (this.PalletCode.length == "" || this.Point.length == "") {
					this.$refs.BindluToast.show({
						title: "托盘数量跟绑定货位不能为空",
						type: "error"
					})
					return;
				}
				this.$u.post('/api/PDA/Bind?qty=' + this.PalletCode + '&point=' + this.Point, {}).then(res => {
					if (res.status) {
						this.$refs.BindluToast.show({
							title: "绑定成功",
							type: "success"
						})
						this.Point = "";
						this.PalletCode = "";
						this.istrue = false;
					} else {
						this.$refs.BindluToast.show({
							title: res.message,
							type: "error"
						})
					}
				})
			},
			submit() {
				if (this.value == "") {
					this.$refs.BindluToast1.show({
						title: "请输入缓存点",
						type: "error"
					})
					return;
				}
				// var param = {
				// 	MainData: {
				// 		matCode: this.value,
				// 		endPoint: this.value
				// 	}
				// }
				this.$u.post('/api/PDA/AcrossFloorCallMat?Point=' + this.value, {}).then(res => {
					if (res.status) {
						this.$refs.BindluToast1.show({
							title: "释放成功",
							type: "success"
						})
						// this.carNo = "";
						this.value = "";
						// this.locationNo = "";
						this.istrue = false;
					} else {
						this.$refs.BindluToast1.show({
							title: res.message,
							type: "error"
						})
					}
				})
			},

		}
	}
</script>

<style lang="scss">
	@import '@/common/uni-ui.scss';

	page {
		display: flex;
		flex-direction: column;
		box-sizing: border-box;
		background-color: #efeff4;
		min-height: 100%;
		height: auto;
	}

	.tips {
		color: #67c23a;
		font-size: 14px;
		line-height: 40px;
		text-align: center;
		background-color: #f0f9eb;
		height: 0;
		opacity: 0;
		transform: translateY(-100%);
		transition: all 0.3s;
	}

	.tips-ani {
		transform: translateY(0);
		height: 40px;
		opacity: 1;
	}

	.content {
		width: 100%;
		display: flex;
	}

	.list-picture {
		width: 100%;
		height: 145px;
	}

	.thumb-image {
		width: 100%;
		height: 100%;
	}

	.ellipsis {
		display: flex;
		overflow: hidden;
	}

	.uni-ellipsis-1 {
		overflow: hidden;
		white-space: nowrap;
		text-overflow: ellipsis;
	}

	.uni-ellipsis-2 {
		overflow: hidden;
		text-overflow: ellipsis;
		display: -webkit-box;
		-webkit-line-clamp: 2;
		-webkit-box-orient: vertical;
	}
</style>